import { VariantProps } from 'class-variance-authority';
declare const pageLayoutRowVariants: (props?: ({
    align?: "start" | "center" | null | undefined;
    stack?: "horizontal" | "responsive" | null | undefined;
} & import('class-variance-authority/types').ClassProp) | undefined) => string;
export type PageLayoutRowProps = {
    children?: React.ReactNode;
    className?: string;
} & VariantProps<typeof pageLayoutRowVariants>;
export declare function PageLayoutRow({ children, className, align, stack }: PageLayoutRowProps): import("react/jsx-runtime").JSX.Element;
export {};
